## org.apache.batik.css.dom
Class CSSOMSVGComputedStyle.ComputedCSSColorValue

    java.lang.Object
      org.apache.batik.css.dom.CSSOMSVGColor
          org.apache.batik.css.dom.CSSOMSVGComputedStyle.ComputedCSSColorValue

All Implemented Interfaces:
  CSSOMSVGColor.ValueProvider, org.w3c.dom.css.CSSValue, org.w3c.dom.css.RGBColor, org.w3c.dom.svg.SVGColor, org.w3c.dom.svg.SVGICCColor, org.w3c.dom.svg.SVGNumberList

Enclosing class:
  CSSOMSVGComputedStyle

    protected class CSSOMSVGComputedStyle.ComputedCSSColorValue

extends CSSOMSVGColor
implements CSSOMSVGColor.ValueProvider

To manage a computed color CSSValue.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.batik.css.dom.CSSOMSVGColor
`CSSOMSVGColor.AbstractComponent, CSSOMSVGColor.AbstractModificationHandler, CSSOMSVGColor.BlueComponent, CSSOMSVGColor.ColorNumber, CSSOMSVGColor.FloatComponent, CSSOMSVGColor.GreenComponent, CSSOMSVGColor.ModificationHandler, CSSOMSVGColor.RedComponent, CSSOMSVGColor.ValueProvider`

Field Summary
`protected int` `index` The index of the associated value.

Fields inherited from class org.apache.batik.css.dom.CSSOMSVGColor
`blueComponent, greenComponent, handler, iccColors, redComponent, valueProvider`

Fields inherited from interface org.w3c.dom.svg.SVGColor
`SVG_COLORTYPE_CURRENTCOLOR, SVG_COLORTYPE_RGBCOLOR, SVG_COLORTYPE_RGBCOLOR_ICCCOLOR, SVG_COLORTYPE_UNKNOWN`

Fields inherited from interface org.w3c.dom.css.CSSValue
`CSS_CUSTOM, CSS_INHERIT, CSS_PRIMITIVE_VALUE, CSS_VALUE_LIST`

Constructor Summary
`CSSOMSVGComputedStyle.ComputedCSSColorValue(int idx)` Creates a new ComputedCSSColorValue.

Method Summary
`Value` `getValue()` Returns the Value associated with this object.

Methods inherited from class org.apache.batik.css.dom.CSSOMSVGColor
`appendItem, clear, getBlue, getColorProfile, getColors, getColorType, getCssText, getCssValueType, getGreen, getIccColor, getICCColor, getItem, getNumberOfItems, getRed, getRgbColor, getRGBColor, initialize, insertItemBefore, removeItem, replaceItem, setColor, setColorProfile, setCssText, setModificationHandler, setRGBColor, setRGBColorICCColor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### index

    protected int index

  The index of the associated value.

Constructor Detail

### CSSOMSVGComputedStyle.ComputedCSSColorValue

    public CSSOMSVGComputedStyle.ComputedCSSColorValue(int idx)

  Creates a new ComputedCSSColorValue.

Method Detail

### getValue

    public Value getValue()

  Returns the Value associated with this object.

  Specified by:
    `getValue` in interface `CSSOMSVGColor.ValueProvider`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.